RefreshServiceAclsRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: RefreshServiceAclsRequestPBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class RefreshServiceAclsRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.RefreshServiceAclsRequest
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.RefreshServiceAclsRequestPBImpl

@Private @Unstable public class RefreshServiceAclsRequestPBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.RefreshServiceAclsRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefreshServiceAclsRequestPBImpl()`
  `RefreshServiceAclsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshServiceAclsRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshServiceAclsRequestProto`
  `getProto()`
  `String`
  `getSubClusterId()`
  `int`
  `hashCode()`
  `void`
  `setSubClusterId(String subClusterId)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.RefreshServiceAclsRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RefreshServiceAclsRequestPBImpl

    public RefreshServiceAclsRequestPBImpl()

  - ### RefreshServiceAclsRequestPBImpl

    public RefreshServiceAclsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshServiceAclsRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshServiceAclsRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSubClusterId

    public String getSubClusterId()
    Specified by:
      `getSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshServiceAclsRequest`

  - ### setSubClusterId

    public void setSubClusterId(String subClusterId)
    Specified by:
      `setSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshServiceAclsRequest`